{
  "format_version": "1.13.0",
  "minecraft:single_block_feature": {
    "description": {
      "identifier": "nicothekid:plant_x_warped_roots_x_01_x_singleblock"
    },
    "places_block": "minecraft:warped_roots",
    "enforce_survivability_rules": true,
    "enforce_placement_rules": false,
    "may_replace": [
      "minecraft:air",
      "minecraft:nether_sprouts"
    ],
    "may_attach_to": {
			"bottom": [
			  {
          "tags": "query.any_tag('custom_netherrack')"
        },
			  {
          "tags": "query.any_tag('crimsoned_stones')"
        },
			  {
          "tags": "query.any_tag('crimsoned_woods')"
        },
        {
          "tags": "query.any_tag('netherrack')"
        },
        {
          "tags": "query.any_tag('warped_stones')"
        },
        {
          "tags": "query.any_tag('warped_woods')"
        },
				"minecraft:netherrack",
				"minecraft:crimson_nylium",
				"minecraft:soul_sand",
				"minecraft:soul_soil",
				"minecraft:warped_nylium"
			]
		}
  }
}